Subject: DLSw common ring number requirement

From: [email-masked]
Date: Mon, 28 Jun 93 09:47:51 EDT

I believe that the requirement that switches use a common DLSw ring
number need apply only to routers connected to the same bridged
lan.  Since DLSw does not have an intermediate forwarding function
on top of TCP, this "parallel bridging path" configuration is the
only way to get a loop and thus the only one to need a common ring
number.  I agree with Scott Barvick that this undesirable configuration
can result in a frame copy going once around the loop in each direction
if the switches on the same LAN are directly TCP connected.

I don't see a problem with two routers across the WAN from each other
having distinct virtual ring numbers.  Each end station sees the other
end station as being on a different LAN segment (i.e., the virtual
ring of the near side router).  The entire end station-to-end station
RIF is never constructed, which has the advantage of relieving the 7-hop
limitation of pre-SRT bridges.  I do believe that the LF bits must be
propagated end-to-end, however, so an end station can know not to
construct frames which exceed the max of an SR bridge on the far side
of the WAN.

Peter Gayek